org.apache.hc.client5.http.cache

## Class HeaderConstants

- java.lang.Object
- - org.apache.hc.client5.http.cache.HeaderConstants

-     public class HeaderConstants
      extends Object

  Records static constants for caching directives.
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AGE` Deprecated. Use `HttpHeaders`
    `static String` | `ALLOW` Deprecated. Use `HttpHeaders`
    `static String` | `AUTHORIZATION` Deprecated. Use `HttpHeaders`
    `static String` | `CACHE_CONTROL`
    `static String` | `CACHE_CONTROL_IMMUTABLE`
    `static String` | `CACHE_CONTROL_MAX_AGE`
    `static String` | `CACHE_CONTROL_MAX_STALE`
    `static String` | `CACHE_CONTROL_MIN_FRESH`
    `static String` | `CACHE_CONTROL_MUST_REVALIDATE`
    `static String` | `CACHE_CONTROL_MUST_UNDERSTAND`
    `static String` | `CACHE_CONTROL_NO_CACHE`
    `static String` | `CACHE_CONTROL_NO_STORE`
    `static String` | `CACHE_CONTROL_ONLY_IF_CACHED`
    `static String` | `CACHE_CONTROL_PRIVATE`
    `static String` | `CACHE_CONTROL_PROXY_REVALIDATE`
    `static String` | `CACHE_CONTROL_PUBLIC`
    `static String` | `CACHE_CONTROL_S_MAX_AGE`
    `static String` | `CACHE_CONTROL_STALE_IF_ERROR`
    `static String` | `CACHE_CONTROL_STALE_WHILE_REVALIDATE`
    `static String` | `CONTENT_RANGE` Deprecated. Use `HttpHeaders`
    `static String` | `DELETE_METHOD` Deprecated. Use `Method`
    `static String` | `ETAG` Deprecated. Use `HttpHeaders`
    `static String` | `EXPIRES` Deprecated. Use `HttpHeaders`
    `static String` | `GET_METHOD` Deprecated. Use `Method`
    `static String` | `HEAD_METHOD` Deprecated. Use `Method`
    `static String` | `IF_MATCH` Deprecated. Use `HttpHeaders`
    `static String` | `IF_MODIFIED_SINCE` Deprecated. Use `HttpHeaders`
    `static String` | `IF_NONE_MATCH` Deprecated. Use `HttpHeaders`
    `static String` | `IF_RANGE` Deprecated. Use `HttpHeaders`
    `static String` | `IF_UNMODIFIED_SINCE` Deprecated. Use `HttpHeaders`
    `static String` | `LAST_MODIFIED` Deprecated. Use `HttpHeaders`
    `static String` | `MAX_FORWARDS` Deprecated. Use `HttpHeaders`
    `static String` | `OPTIONS_METHOD` Deprecated. Use `Method`
    `static String` | `POST_METHOD` Deprecated. Use `Method`
    `static String` | `PRAGMA` Deprecated. Use `HttpHeaders`
    `static String` | `PRIVATE` Deprecated. Use `CACHE_CONTROL_PRIVATE`
    `static String` | `PROXY_AUTHENTICATE` Deprecated. Use `HttpHeaders`
    `static String` | `PUBLIC` Deprecated. Use `CACHE_CONTROL_PUBLIC`
    `static String` | `PUT_METHOD` Deprecated. Use `Method`
    `static String` | `RANGE` Deprecated. Use `HttpHeaders`
    `static String` | `STALE_IF_ERROR` Deprecated. Use `CACHE_CONTROL_STALE_IF_ERROR`
    `static String` | `STALE_WHILE_REVALIDATE` Deprecated. Use `CACHE_CONTROL_STALE_WHILE_REVALIDATE`
    `static String` | `TRACE_METHOD` Deprecated. Use `Method`
    `static String` | `VARY` Deprecated. Use `HttpHeaders`
    `static String` | `VIA` Deprecated. Use `HttpHeaders`
    `static String` | `WARNING` Deprecated. Use `HttpHeaders`
    `static String` | `WWW_AUTHENTICATE` Deprecated. Use `HttpHeaders`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GET_METHOD

          @Deprecated
          public static final String GET_METHOD

      Deprecated. Use `Method`
      See Also:
        Constant Field Values

    - #### HEAD_METHOD

          @Deprecated
          public static final String HEAD_METHOD

      Deprecated. Use `Method`
      See Also:
        Constant Field Values

    - #### OPTIONS_METHOD

          @Deprecated
          public static final String OPTIONS_METHOD

      Deprecated. Use `Method`
      See Also:
        Constant Field Values

    - #### PUT_METHOD

          @Deprecated
          public static final String PUT_METHOD

      Deprecated. Use `Method`
      See Also:
        Constant Field Values

    - #### DELETE_METHOD

          @Deprecated
          public static final String DELETE_METHOD

      Deprecated. Use `Method`
      See Also:
        Constant Field Values

    - #### TRACE_METHOD

          @Deprecated
          public static final String TRACE_METHOD

      Deprecated. Use `Method`
      See Also:
        Constant Field Values

    - #### POST_METHOD

          @Deprecated
          public static final String POST_METHOD

      Deprecated. Use `Method`
      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          @Deprecated
          public static final String LAST_MODIFIED

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### IF_MATCH

          @Deprecated
          public static final String IF_MATCH

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### IF_RANGE

          @Deprecated
          public static final String IF_RANGE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### IF_UNMODIFIED_SINCE

          @Deprecated
          public static final String IF_UNMODIFIED_SINCE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          @Deprecated
          public static final String IF_MODIFIED_SINCE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### IF_NONE_MATCH

          @Deprecated
          public static final String IF_NONE_MATCH

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### PRAGMA

          @Deprecated
          public static final String PRAGMA

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### MAX_FORWARDS

          @Deprecated
          public static final String MAX_FORWARDS

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### ETAG

          @Deprecated
          public static final String ETAG

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### EXPIRES

          @Deprecated
          public static final String EXPIRES

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### AGE

          @Deprecated
          public static final String AGE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### VARY

          @Deprecated
          public static final String VARY

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### ALLOW

          @Deprecated
          public static final String ALLOW

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### VIA

          @Deprecated
          public static final String VIA

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### PUBLIC

          @Deprecated
          public static final String PUBLIC

      Deprecated. Use `CACHE_CONTROL_PUBLIC`
      See Also:
        Constant Field Values

    - #### PRIVATE

          @Deprecated
          public static final String PRIVATE

      Deprecated. Use `CACHE_CONTROL_PRIVATE`
      See Also:
        Constant Field Values

    - #### CACHE_CONTROL

          public static final String CACHE_CONTROL

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_PUBLIC

          public static final String CACHE_CONTROL_PUBLIC

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_PRIVATE

          public static final String CACHE_CONTROL_PRIVATE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_NO_STORE

          public static final String CACHE_CONTROL_NO_STORE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_NO_CACHE

          public static final String CACHE_CONTROL_NO_CACHE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MAX_AGE

          public static final String CACHE_CONTROL_MAX_AGE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_S_MAX_AGE

          public static final String CACHE_CONTROL_S_MAX_AGE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MAX_STALE

          public static final String CACHE_CONTROL_MAX_STALE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MIN_FRESH

          public static final String CACHE_CONTROL_MIN_FRESH

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MUST_REVALIDATE

          public static final String CACHE_CONTROL_MUST_REVALIDATE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_PROXY_REVALIDATE

          public static final String CACHE_CONTROL_PROXY_REVALIDATE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_STALE_IF_ERROR

          public static final String CACHE_CONTROL_STALE_IF_ERROR

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_STALE_WHILE_REVALIDATE

          public static final String CACHE_CONTROL_STALE_WHILE_REVALIDATE

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_ONLY_IF_CACHED

          public static final String CACHE_CONTROL_ONLY_IF_CACHED

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_MUST_UNDERSTAND

          public static final String CACHE_CONTROL_MUST_UNDERSTAND

      See Also:
        Constant Field Values

    - #### CACHE_CONTROL_IMMUTABLE

          public static final String CACHE_CONTROL_IMMUTABLE

      See Also:
        Constant Field Values

    - #### STALE_IF_ERROR

          @Deprecated
          public static final String STALE_IF_ERROR

      Deprecated. Use `CACHE_CONTROL_STALE_IF_ERROR`
      See Also:
        Constant Field Values

    - #### STALE_WHILE_REVALIDATE

          @Deprecated
          public static final String STALE_WHILE_REVALIDATE

      Deprecated. Use `CACHE_CONTROL_STALE_WHILE_REVALIDATE`
      See Also:
        Constant Field Values

    - #### WARNING

          @Deprecated
          public static final String WARNING

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### RANGE

          @Deprecated
          public static final String RANGE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### CONTENT_RANGE

          @Deprecated
          public static final String CONTENT_RANGE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### WWW_AUTHENTICATE

          @Deprecated
          public static final String WWW_AUTHENTICATE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### PROXY_AUTHENTICATE

          @Deprecated
          public static final String PROXY_AUTHENTICATE

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

    - #### AUTHORIZATION

          @Deprecated
          public static final String AUTHORIZATION

      Deprecated. Use `HttpHeaders`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HeaderConstants

          public HeaderConstants()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.